Mailinglist Archive: opensuse-security-announce (84 mails)

< Previous Next >
[security-announce] openSUSE-SU-2018:3479-1: moderate: Security update for GraphicsMagick
openSUSE Security Update: Security update for GraphicsMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:3479-1
Rating: moderate
References: #1112392 #1112399
Cross-References: CVE-2017-10794 CVE-2017-14997
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for GraphicsMagick fixes the following issues:

Security issues fixed:

- CVE-2017-10794: When GraphicsMagick processed an RGB TIFF picture (with
metadata indicating a single sample per pixel) in coders/tiff.c, a
buffer overflow occured, related to QuantumTransferMode. (boo#1112392)
- CVE-2017-14997: GraphicsMagick allowed remote attackers to cause a
denial of service (excessive memory allocation) because of an integer
underflow in ReadPICTImage in coders/pict.c. (boo#1112399)


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-1291=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

GraphicsMagick-1.3.25-114.1
GraphicsMagick-debuginfo-1.3.25-114.1
GraphicsMagick-debugsource-1.3.25-114.1
GraphicsMagick-devel-1.3.25-114.1
libGraphicsMagick++-Q16-12-1.3.25-114.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.25-114.1
libGraphicsMagick++-devel-1.3.25-114.1
libGraphicsMagick-Q16-3-1.3.25-114.1
libGraphicsMagick-Q16-3-debuginfo-1.3.25-114.1
libGraphicsMagick3-config-1.3.25-114.1
libGraphicsMagickWand-Q16-2-1.3.25-114.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.25-114.1
perl-GraphicsMagick-1.3.25-114.1
perl-GraphicsMagick-debuginfo-1.3.25-114.1


References:

https://www.suse.com/security/cve/CVE-2017-10794.html
https://www.suse.com/security/cve/CVE-2017-14997.html
https://bugzilla.suse.com/1112392
https://bugzilla.suse.com/1112399

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages